package com.example.afrishop_v3.repository;

import com.example.afrishop_v3.models.Activity;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * @Auther: wudepeng
 * @Date: 2020/12/02
 * @Description:
 */
public interface ActivityRepository  extends JpaRepository<Activity,String> {

    @Query(value = "select a from Activity a where CURRENT_TIMESTAMP between startTime and endTime and status=1 order by a.createTime desc")
    Page<Activity> getAllActivity(Pageable pageable);
}
